Bug 55084 - strings does not return anything when run on binaries
strings does not return anything when run on binaries
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: binutils (Show other bugs)
1.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks: 55057
  Show dependency treegraph
 
Reported: 2001-10-25 06:12 EDT by Bernhard Rosenkraenzer
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-31 08:59:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernhard Rosenkraenzer 2001-10-25 06:12:32 EDT
Description of Problem:
Summary says it all.
strings /etc/passwd displays the whole file, as expected.
strings /bin/ls or strings /lib/libc.so.6 don't display anything.

Version-Release number of selected component (if applicable):
binutils-2.11.92.0.7


How Reproducible:
100%

Steps to Reproduce:
1. rpm -Uvh binutils-2.11.92.0.7-1.i386.rpm
2. strings /lib/libc.so.6

Actual Results:
nothing

Expected Results:
strings from /lib/libc.so.6

Additional Information:
This breaks various configure scripts.

Worked in 2.11.90.0.8-9
Comment 1 Jakub Jelinek 2001-10-25 13:13:09 EDT
Yeah, I've screwed it up.
Testing fix now...
Comment 2 Jakub Jelinek 2001-11-12 09:07:22 EST
Should be fixed in 2.11.92.0.7-2.

Note You need to log in before you can comment on or make changes to this bug.